Name:		digger
Version:	20160420
Release:	%mkrel 3
Summary:	The Unix version of the old classic game Digger
Group:		Games/Arcade
License:	GPLv2
URL:		http://www.digger.org
# created from https://github.com/sobomax/digger
Source0:	%{name}-%{version}.tar.xz
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:         digger-20160420-mga-flags.patch

BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
This is the Unix version of the old classic game Digger.
It has many new features including:
* Exit button
* Optional VGA graphics
* Recording and playback
* Real time speed control
* Keyboard redefinition
* Gauntlet mode
* Two player simultaneous mode

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build

%install
install -D -m755 digger %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Digger Remastered
Comment=The Unix version of the old classic game Digger
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc %{name}.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 20160420-3.mga8
+ Revision: 1511833
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 20160420-2.mga7
+ Revision: 1297444
- Mageia 7 Mass Rebuild

* Sat May 28 2016 akien <akien> 20160420-1.mga6
+ Revision: 1019247
- Snapshot 20160420 from new upstream: https://github.com/sobomax/digger
- Build with SDL2

* Thu Feb 11 2016 umeabot <umeabot> 20140406-2.mga6
+ Revision: 953779
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 akien <akien> 20140406-1.mga6
+ Revision: 840368
- Fix memory leak

* Wed Oct 15 2014 umeabot <umeabot> 20131011-3.mga5
+ Revision: 750820
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20131011-2.mga5
+ Revision: 678743
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 akien <akien> 20131011-1.mga5
+ Revision: 667120
- Make use of CMake
- New snapshot

* Fri Oct 18 2013 umeabot <umeabot> 20110916-3.mga4
+ Revision: 503801
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 20110916-2.mga3
+ Revision: 348782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 16 2012 jquelin <jquelin> 20110916-1.mga2
+ Revision: 196844
- using %%mkrel
- imported package digger

